Subject: Re: bug#34792: 27.0.50; format %x and %X don't print as unsigned

From: Glenn Morris <[email-masked]>
Date: Sat, 09 Mar 2019 17:54:19 -0500

(Adding explicit cc:)

>> See etc/NEWS 'Numbers formatted via...'
>> 
>> I don't understand the "bignums, a planned feature." in that entry.
>> It makes it sound like bignum will be implemented in future, but they
>> already are?
>> 
>> Also the sense of the entry seems backwards, since binary-as-unsigned is
>> nil by default (but from editfns.c I see "it depends").
>> 
>> Anyway, it seems like the doc the 'format' function wasn't updated.
>
> Thanks! I should have thought to check NEWS.
>
> I took the liberty for pushing a change to the docstring to master.

I think this area may still need some updating.
(It feels like it predates the addition of bignum support?)